📄 MIPYME Documents
Create a new webhook subscription
POST
URL del endpoint
https://api-billing.koywe.com/V1/webhook_subscriptions
Requiere autenticación
Autenticación
Envía la cabecera Authorization: Bearer <token> (obtenido en POST /auth) en los endpoints protegidos.
Parámetros
Sin parámetros.
Cuerpo de la solicitud — campos
| Campo | Tipo | Obligatoriedad | Descripción |
|---|---|---|---|
account_id | integer | Opcional | Account ID of the associated account |
callback_url | string | Opcional | URL to be notified |
callback_username | string | Opcional | Username to be sent to the notification URL |
callback_password | string | Opcional | Password to be sent to the notification URL |
event_id | string | Opcional | ID of the event that you are subscribing to. Valid values: ACCOUNT.CERTIFICATIONUPDATE |
Ejemplo JSON del cuerpo
{
"account_id": 0,
"callback_url": "https://server.com/myscript.php",
"callback_username": "string",
"callback_password": "string",
"event_id": "string"
}
Respuestas
Digital certificate link successfully generated
Bad request - invalid input or validation error
Unauthorized - invalid token or missing authentication
Server error - unexpected error occurred